Openapi
Add a comment to a task.
Supabase browser session cookie. Supabase may split larger session values into chunked cookies like sb-auth-token.0.
In: cookie
uuiduuidapplication/json
The task comment payload.
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/organizations/123/tasks/123/comments" \ -H "Content-Type: application/json" \ -d '{ "text": "string", "selections": [ { "start": 0, "end": 1, "reference": { "kind": "user", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } } ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "contentText": "string", "contentDoc": { "version": 1, "blocks": [ { "type": "paragraph", "content": [ { "type": "text", "text": "string" } ] } ] }, "authorId": "ee6f7132-bd0a-4fcd-83b3-a8022377067b", "author": { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "displayName": "string", "avatarUrl": "http://example.com" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}1 <= length <= 20000items <= 100